package domain

type AlibabaHmMarketingItempoolQueryactivityMarketResult struct {
	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回的商品池活动信息     */
	Data *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity `json:"data,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaHmMarketingItempoolQueryactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityMarketResult) SetData(v AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) *AlibabaHmMarketingItempoolQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolQueryactivityMarketResult {
	s.Success = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolQueryactivityMarketResult {
	s.Message = &v
	return s
}
